org.apache.myfaces.trinidad.component.core.layout

## Class CorePanelList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXPanel
        - - org.apache.myfaces.trinidad.component.core.layout.CorePanelList

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class CorePanelList
      extends UIXPanel

  The panelList component outputs each visible child in a list with a bullet next to it. The list can be split into columns. This is done by setting the "rows" attribute. This is the multiple of children at which to add another column. For example, if the "rows" attribute was set to 6 then if there were 1-6 visible children there would be one column, 7 to 12 visible children there would be 2 columns, and 13+ visible children would be shown in 3 columns. The number of columns is determined by the value set for "maxColumns" attribute. So if there were 100 visible children with "rows" set to 30 and "maxColumns" was set to 3 children, there will be 3 columns (and 34 rows). If "rows" attribute is not specified, all visible contents will be in one column. The "maxColumns" that can be set is dependent on the type of Agent. If the value set for "maxColumns" is greater than the default for the agent, then it is defaulted. The default maxColumns value is 2 for the PDA. Children are not displayed/rendered if value of "maxColumns" or "rows" is less than one. The split is based solely on the number of visible children and not on their size.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `LIST_STYLE_KEY`
    `static PropertyKey` | `MAX_COLUMNS_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `ROWS_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CorePanelList()` Construct an instance of the CorePanelList.
    `protected` | `CorePanelList(String rendererType)` Construct an instance of the CorePanelList.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getListStyle()` Gets Styles the list.
    `int` | `getMaxColumns()` Gets Sets the maximum number of columns to show.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `int` | `getRows()` Gets Sets the number of rows after which to start a new column.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setListStyle(String listStyle)` Sets Styles the list.
    `void` | `setMaxColumns(int maxColumns)` Sets Sets the maximum number of columns to show.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setRows(int rows)` Sets Sets the number of rows after which to start a new column.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### LIST_STYLE_KEY

          public static final PropertyKey LIST_STYLE_KEY

    - #### ROWS_KEY

          public static final PropertyKey ROWS_KEY

    - #### MAX_COLUMNS_KEY

          public static final PropertyKey MAX_COLUMNS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CorePanelList

          public CorePanelList()

      Construct an instance of the CorePanelList.

    - #### CorePanelList

          protected CorePanelList(String rendererType)

      Construct an instance of the CorePanelList.

  - ### Method Detail

    - #### getListStyle

          public final String getListStyle()

      Gets Styles the list. For example, you can style the list to be squares like this: listStyle='list-style-type:square'
      Returns:
        the new listStyle value

    - #### setListStyle

          public final void setListStyle(String listStyle)

      Sets Styles the list. For example, you can style the list to be squares like this: listStyle='list-style-type:square'
      Parameters:
        `listStyle` - the new listStyle value

    - #### getRows

          public final int getRows()

      Gets Sets the number of rows after which to start a new column. This attribute defaults to Integer.MAX_VALUE. The number of rows actually rendered depends also on the "maxColumns" attribute. If the children will not fit in the given number of rows and columns, the number of rows will increase to accomodate the children.
      Returns:
        the new rows value

    - #### setRows

          public final void setRows(int rows)

      Sets Sets the number of rows after which to start a new column. This attribute defaults to Integer.MAX_VALUE. The number of rows actually rendered depends also on the "maxColumns" attribute. If the children will not fit in the given number of rows and columns, the number of rows will increase to accomodate the children.
      Parameters:
        `rows` - the new rows value

    - #### getMaxColumns

          public final int getMaxColumns()

      Gets Sets the maximum number of columns to show. This attribute defaults to 3 and defaults to 2 for PDA's
      Returns:
        the new maxColumns value

    - #### setMaxColumns

          public final void setMaxColumns(int maxColumns)

      Sets Sets the maximum number of columns to show. This attribute defaults to 3 and defaults to 2 for PDA's
      Parameters:
        `maxColumns` - the new maxColumns value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXPanel`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXPanel`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.